










*,
*::before,
*::after {
  box-sizing: border-box;
}

body {
  margin: 0;
  font-family: system-ui, -apple-system, sans-serif;
  background: #ffffff;
  
  font-size: 18px;
  
  



}

a{

	color:black;
}

main{
  max-width: 920px;
/*   margin: 0 auto; */
  padding: 4rem;
/*   margin-left: 2rem; */

margin-left: auto;
margin-right: auto;
}


@media (max-width: 800px) {
  main {
padding: 1rem;
  }
}



h1, h2{
  font-family: "Kumbh Sans", sans-serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
  font-variation-settings:
    "YOPQ" 300;
}

h1, h2, p {
  margin: 0;
  font-weight: normal;
  color: black!important;
}

p{
	margin-bottom: 1em;
}

p:last-of-type{
	margin-bottom: 0;
}

.hero img{
	max-width: 1100px;
	margin-left: auto;
	margin-right: auto;
	margin-top: 4em;
	margin-bottom: 4em;
}


/* 🔹 H1 */


.hero__titel {
  font-size: 4rem;
  line-height: 1.2;
  margin-bottom: 16px;
  margin-left: 6rem;
}

@media (max-width: 800px) {
.hero__titel {
  font-size: 3rem;
  margin-left: 0;
}

}


/* 🔹 Intro */
.hero__intro {
  line-height: 1.6;
  margin-bottom: 32px;
    max-width: 75ch;
    margin-left: 4rem;

}


@media (max-width: 800px) {
  .hero__titel {
padding-left: 1rem;
padding-right: 1rem;
  }
  .hero__intro {
padding-left: 1rem;
padding-right: 1rem;
margin-left: 0;
  }  
  
}

/* 🔹 H2 */
.element__untertitel {
  line-height: 1.3;
  font-size: 1.8rem;
  margin-bottom: 12px;
  max-width: 75ch;
  margin-left: 1.7rem;
}

@media (max-width: 800px) {
.element__untertitel {
margin-left: 0;
font-size: 1.5rem;
}
}


/* 🔹 Text */
.element__text p {
max-width: 76ch;
/*   margin-bottom: 16px; */
  line-height: 1.6;
}

.hero {
  margin-bottom: 10rem;
}

@media (max-width: 1000px) {
.hero{

    margin-bottom: 3rem;
  }
}


.element {
  margin-bottom: 4rem;
}



img {
  display: block;
  width: 100%;
  height: auto;
}

.hero__bild,
.element--bild {
  margin-bottom: 2.5rem;
      display: flex;
    flex-direction: column;
    align-items: center;

}

.edit-mode .element__bild{
	margin-bottom: 2rem;
}

.hero__bild{
	margin-bottom: 3.5rem;
}


.element {
  max-width: 750px;
  margin-left: 0;
  margin-bottom: 8rem;
}
.element--text:nth-of-type(3n + 1) {
  margin-left: auto;
  margin-right: auto;
}

.element--text:nth-of-type(3n + 2) {
  margin-left: 0;
  margin-right: auto;
}

.element--text:nth-of-type(3n + 3) {
  margin-left: auto;
  margin-right: 0;
}

.element--bild{
	margin-left: auto;
	margin-right: auto;
	max-width: 980px;
	margin-top: 9rem;
	margin-bottom: 9rem;
}


@media (max-width: 1000px) {
.element--bild{

    margin-top: 3rem;
  }
}



main {
  max-width: 1400px;
/*   margin: 0 auto; */
}

@media (max-width: 1000px) {
  .element {
    margin-left: auto !important;
    margin-right: auto !important;
    width: 100%;
    margin-bottom: 3rem;
  }
}




/* liste */
.element--liste{
	  max-width: 980px;
  margin-left: auto;
  margin-right: auto;
}
.liste {
  list-style: none;
  padding: 0;
  margin: 0;

  border: 1px solid black;

}

.liste__item {
  display: grid;
  grid-template-columns: 1fr 1fr;

  padding: 12px 0;

  border-bottom: 1px solid black;
}

.liste__item:last-child{
	border-bottom: none;
}


.liste__item {
  position: relative;
  padding: 1rem;
}


.liste__item::before {
  content: "";
  position: absolute;
  left: 50%;
  top: 0;
  bottom: 0;
  width: 1px;
  background: black;
}

.liste__value{
	padding-left: 1rem;
}



@media (max-width: 800px) {
  .liste__item {
    grid-template-columns: 1fr;
    gap: 4px;
  }

  .liste__item::before {
    display: none;
  }
  
  .liste__value {
    padding-left: 0;
}
  
}





/* tap */






.uber-tap{
	
	    background: #f34f3a;
	    border-bottom: 1px solid white;
	padding: 0.7rem;
	
	display: flex;
	gap: 1.5rem;
}

.uber-demo-hinweis{
width: 27%;	
font-size: 80%;
}

.uber-tap p{
	max-width: 85ch;

}

@media (max-width: 900px) {

.uber-tap{
	flex-direction: column;
	gap: 0;
}

.uber-demo-hinweis{
	margin-top: 1rem;
width: 100%;	
margin-bottom: 1rem;
}
}


.header {
    position: sticky;
    top: 0;
    right: 0;
    left: 0;
    display: flex;
    background: #f34f3a;
    padding: 0.35rem;
    padding-right: 0.7rem;
    padding-left: 0.7rem;
    
    display: flex;
    
      transition: all 0.3s ease;
      
      line-height: 1.5;

}



/*
.header--scrolled {
  background: transparent;
}

.header--scrolled .controls {
  opacity: 0.5;
}
*/



.logo {
  font-weight: 700;
  font-size: 14px;
  letter-spacing: 2px;
  flex: 1;

}




.logo {
  transition: transform 0.4s ease, opacity 0.3s ease;
}

/*
.header--scrolled .logo {
  transform: translateX(-40px);
}
*/




.edit-mode [contenteditable] {
  outline: 1px dashed rgba(0,0,0,0.2);
  cursor: text;
  background: rgba(174, 250, 255, 0.57)
}

.edit-controls{
	display: none;
}

.edit-mode .edit-controls{
	display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
}

#save-status {
  color: rgba(0,0,0,0.9);
  opacity: 0;
  transition: opacity 0.3s;

}



#save-status.show {
  opacity: 1;
}



/* btn */

input, button {
  appearance: none;
  border: none;
  background: #f4f1f1;
  color: black;

  padding: 6px 10px;

  font-size: 14px;
  font-family: inherit;

  border-radius: 8px;

  cursor: pointer;
  
  letter-spacing: 1px;
  
  

  /* 🔥 dezenter Schatten */
  box-shadow: 
    0 1px 2px rgba(0,0,0,0.16),
    0 2px 6px rgba(0,0,0,0.16);

  transition: all 0.2s ease;
}
input, button:hover {
  transform: translateY(-2px);

  box-shadow:
    0 2px 4px rgba(0,0,0,0.22),
    0 6px 12px rgba(0,0,0,0.22);
}
input, button:active {
  transform: translateY(0);

  box-shadow:
    0 1px 2px rgba(0,0,0,0.05);
}

input, button:focus {
  outline: none;
  box-shadow:
    0 0 0 2px rgba(0,0,0,0.1),
    0 2px 6px rgba(0,0,0,0.05);
}

.header button{
	margin-left: 1rem;
}


.header--scrolled.header{
	background: transparent;
}

.header--scrolled .logo{
	opacity: 0.6;

}

.logo span {
  display: inline-block;
  will-change: transform;
}



.logo-letter {
  animation: tap-idle 5s ease-in-out infinite;
  margin-right: -4px;

}

.logo-letter:nth-child(1) {
  animation-delay: 0s;
}

.logo-letter:nth-child(2) {
  animation-delay: 0.2s;
}

.logo-letter:nth-child(3) {
  animation-delay: 0.4s;
}

@keyframes tap-idle {
  0%   { transform: translateY(0); }
  3%  { transform: translateY(-5px); }
  6%  { transform: translateY(0); }
  100% { transform: translateY(0); }
}

input[type="file"] {
  display: none;
}

.edit-mode input[type="file"] {
  display: block;
}

.header--scrolled .claim{
	opacity: 0;
}


@media (max-width: 800px) {
.header--scrolled .logo{
	opacity: 0.3;

}

.logo .claim{
	display: none;
}

 }





.edit-hint {
  position: relative;
  
}

.hint {
  position: absolute;
  left: -60px;
  top: 36px;
  
  transition: opacity 0.3s;
}


.hint {
  animation: float 4.5s ease-in-out infinite;
}

@keyframes float {
  0%, 100% { transform: rotate(-6deg) translateY(0); }
  50% { transform: rotate(-10deg) translateY(-6px); }
}

.edit-mode .hint{
	display: none;
}


.is-scrolling .hint {
  opacity: 0;
  pointer-events: none;
}